/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package p4uclient;

import java.io.*;

/**
 * アプリの設定を管理
 * @author tondol
 */
public class Option {
    String host = "localhost";
    String downDir = "", upDir = "";
    int port = 8888, listen = 8888;
    
    /**
     * config.iniを読み込む
     */
    public Option() {
        FileReader inFile = null;
        BufferedReader reader = null;
        try {
            inFile = new FileReader("config.ini");
            reader = new BufferedReader(inFile);
            host = reader.readLine();
            port = Integer.parseInt(reader.readLine());
            listen = Integer.parseInt(reader.readLine());
            upDir = reader.readLine();
            downDir = reader.readLine();
            MainApp.window.putMessage("設定読み込み完了");
        } catch (IOException e) {
            MainApp.window.putMessage("設定読み込み失敗");
        } finally {
            try {
                if (reader != null) reader.close();
                if (inFile != null) inFile.close();
            } catch(IOException e) {
                ;
            }
        }
    }
    
    public void save() {
        FileWriter outFile = null;
        PrintWriter writer = null;
        try {
            outFile = new FileWriter("config.ini");
            writer = new PrintWriter(outFile);
            writer.println(host);
            writer.println(port);
            writer.println(listen);
            writer.println(upDir);
            writer.println(downDir);
            writer.flush();
            MainApp.window.putMessage("設定書き込み完了");
        } catch (IOException e) {
            MainApp.window.putMessage("設定書き込み失敗");
        } finally {
            try {
                if (writer != null) writer.close();
                if (outFile != null) outFile.close();
            } catch(IOException e) {
                ;
            }
        }
    }
}
